=== debian/changelog ===
ubuntu-advantage-tools (1) precise; urgency=medium

  * Initial Release. LP: #1686183

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Apr 2017 15:04:47 +0100
