=== debian/control ===
Source: ubuntu-advantage-tools
Section: misc
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://buy.ubuntu.com
Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
Vcs-Browser: https://github.com/CanonicalLtd/ubuntu-advantage-script

Package: ubuntu-advantage-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ubuntu Advantage tools for ESM
 This package ships Ubuntu Advantage subscription management tools.
 .
 It enables Ubuntu Advantage subscribers to enable Extended Security
 Maintenance (ESM) repository on Ubuntu 12.04 LTS (Precise Pangolin)
 systems.
