=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
 
 Package: ubuntu-advantage-tools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Ubuntu Advantage tools for ESM
- This package ships Ubuntu Advantage subscription management tools.
+Depends: ${misc:Depends}
+Description: management tools for Ubuntu Advantage
+ Ubuntu Advantage is the professional package of tooling, technology
+ and expertise from Canonical, helping organisations around the world
+ manage their Ubuntu deployments.
  .
- It enables Ubuntu Advantage subscribers to enable Extended Security
- Maintenance (ESM) repository on Ubuntu 12.04 LTS (Precise Pangolin)
- systems.
+ Subscribers to Ubuntu Advantage will find helpful tools for accessing
+ services in this package.
