## ubuntu-advantage-tools 10ubuntu0.14.04.3

=== debian/changelog ===
ubuntu-advantage-tools (10ubuntu0.14.04.3) trusty; urgency=medium

  * Enable support for Trusty ESM (LP: #1825239)
  * Install an unattended-upgrades configuration that allows for the
    UbuntuESM trusty-security origin.
  * Re-enable tests at package build time, just not flake8 as python3-flake8
    is in universe:
    - d/rules: run tests
    - d/control: add test dependencies

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 18 Apr 2019 15:20:23 +0000

ubuntu-advantage-tools (10ubuntu0.14.04.2) trusty; urgency=medium

  * Skipping tests during package builds.
    - d/rules: Disabling the tests.
    - d/control: Removing tests dependencies.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 07 Nov 2017 10:07:49 -0500

ubuntu-advantage-tools (10ubuntu0.14.04.1) trusty; urgency=medium

  * Backport version 10 to trusty.
  * Backports from upstream version 13 (LP: #1719671):
    - support older python3 versions in the test suite
    - d/control, d/rules: run tests at package build time
    - default FIPS tests to the x86_64 architecture
    - add FIPS test for unsupported architecture

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 05 Nov 2017 14:21:16 -0200
