=== debian/changelog ===
ubuntu-advantage-tools (10ubuntu0.17.04.1) zesty; urgency=medium

  * Backport version 10 to zesty.
  * Backports from upstream version 13 (LP: #1719671):
    - support older python3 versions in the test suite
    - d/control, d/rules: run tests at package build time
    - default FIPS tests to the x86_64 architecture
    - add FIPS test for unsupported architecture

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 05 Nov 2017 18:41:46 -0200
