=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_test:
	python3 -m unittest discover tests
	flake8 tests
