=== debian/changelog ===
ubuntu-advantage-tools (17) bionic; urgency=medium

  * New upstream release (LP: #1759280):
    - Added enable-fips-updates command. This command enables the fips-updates
      repository to install updates to FIPS modules. The updated modules from
      fips-updates repository are non-certified.
    - Add repository pinning for FIPS packages
    - Check that all prerequisite packages are installed when enabling FIPS
    - Support returning the status for a single service

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2018 14:20:04 -0300

ubuntu-advantage-tools (16) bionic; urgency=medium

  * d/t/update-motd-run: fix path to the esm motd (LP: #1757490)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2018 13:58:34 -0300

ubuntu-advantage-tools (15) bionic; urgency=medium

  * Rename motd scripts so they are shown a bit earlier (LP: #1757171)
  * Move empty line placement in the livepatch motd to the beginning of the
    message to avoid double blank lines.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Mar 2018 16:44:31 -0300

ubuntu-advantage-tools (14) bionic; urgency=medium

  * New upstream release:
    - repositories are only added after credentials are verified
      (LP: #1730361)
    - Livepatch MOTD script (LP: #1710976)
    - better "status" command output formatting (LP: #1719034)
    - sources.list.d files no longer contain credentials. The "auth.conf"
      facility is used instead. (LP: #1700611)
    - enabled Livepatch support for Bionic 18.04 LTS

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 06 Feb 2018 09:58:03 -0200

ubuntu-advantage-tools (13) bionic; urgency=medium

  * New upstream release:
    - run tests during package build

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 30 Oct 2017 16:37:30 -0200

ubuntu-advantage-tools (12) artful; urgency=medium

  * New upstream release:
    - revert the latest name changes
    - instead of "advantage", add a "ua" symlink pointing at the
      ubuntu-advantage script. Likewise for its manpage. (LP: #1721272)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Oct 2017 14:22:20 -0300

ubuntu-advantage-tools (11) artful; urgency=medium

  * New upstream release:
    - rename the ubuntu-advantage script to advantage, including where it's
      mentioned in the documentation. Also provide symlinks pointing at the
      previous name. (LP: #1721272)
    - slightly reword some of the FIPS messages

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 04 Oct 2017 14:31:33 -0300
