=== debian/tests/control ===
Tests: usage, update-motd-run
Restrictions: allow-stderr
