=== requirements.txt ===
pymacaroons
pyyaml
