=== debian/changelog ===
ubuntu-advantage-tools (19.4) disco; urgency=medium

  * Drop the self-test assert in the apt-hook, it's making the subiquity
    server install fail (LP: #1824523)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 12 Apr 2019 17:59:16 -0300

ubuntu-advantage-tools (19.3) disco; urgency=medium

  * apt-hook: Do not crash/fail if we can't read /proc/self/status
    (LP: #1824523)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 12 Apr 2019 09:25:15 -0300

ubuntu-advantage-tools (19.2) disco; urgency=medium

  * Ubuntu Advantage Tools rewrite in Python (LP: #1814157):
    - Allow attaching a system to a contract or account
    - More complete status output, dropping MOTD updates
    - Easily enable and disable services offered

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 08 Apr 2019 16:55:12 -0300

ubuntu-advantage-tools (18) bionic; urgency=medium

  * Have ua status cope with the additional livepatch of running a kernel
    that is not supported for livepatches.
  * Have an option for enable-livepatch to install a compatible kernel if
    needed.

  [ Vineetha Kamath ]
  * Add support to common criteria EAL2 artifacts installation #144

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Jun 2018 14:30:57 -0300
