=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: bash-completion,
                debhelper (>=9),
                dh-python,
+               gettext,
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
@@ -24,7 +25,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-pkg-resources
+         python3-pkg-resources,
+         ${extra:Depends},
 Description: management tools for Ubuntu Advantage
  Ubuntu Advantage is the professional package of tooling, technology
  and expertise from Canonical, helping organisations around the world
