## ubuntu-advantage-tools 19.6~ubuntu14.04.4

=== debian/changelog ===
ubuntu-advantage-tools (19.6~ubuntu14.04.4) trusty; urgency=medium

  * d/postinst: only configure ESM on supported architectures (LP: #1851858)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 14 Nov 2019 14:34:50 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.3) trusty; urgency=medium

  * d/postinst: rename existing ubuntu-esm-precise.list file to trusty.
    This fixes the upgrade path from precise to trusty and to this client
    while esm is enabled (LP: #1850672)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 30 Oct 2019 10:01:58 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.2) trusty; urgency=medium

  * d/control, d/rules: don't run flake8 tests since python3-flake8 is in
    universe (LP: #1849851)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 25 Oct 2019 11:37:31 -0300

ubuntu-advantage-tools (19.6~ubuntu14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1832757). Main changes:
    - drop SSO interactive login support
    - d/control: no longer depend on pymacaroons, which was only needed for
      the SSO interactive login support
    - drop keyrings for services not supported in trusty: cc-eal, fips,
      fips-updates, cis audit
    - make sure /var/lib/ubuntu-advantage/private has 0700 perms
    - rename esm to esm-infra. Also handle upgrades
    - don't unecessarily remove config files that are already handled by dpkg
    - expand the apt related runtime dependencies
    - handle sources.list.d esm snippet when release upgrading from precise
    - ua status now reports availability of services even in unattached state
    - the "ua status" output was changed, including the json format option
    - drop "ua status" call in postinst as it now requires internet access and
      that is restricted in LP builders and test runners.
    - fix the d/t/usage DEP8 test that was also using status

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 23 Oct 2019 13:12:08 -0300
