## ubuntu-advantage-tools 19.7

=== Makefile ===
--- 
+++ 
@@ -29,5 +29,24 @@
 testdeps:
 	pip install tox
 
+travis-deb-install:
+	git fetch --unshallow
+	sudo apt-get update
+	sudo apt-get build-dep -y ubuntu-advantage-tools
+	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools
+	# Missing build-deps
+	sudo apt-get install -y --install-recommends libapt-pkg-dev python3-mock python3-pytest
+
+# Use the mirror for a GCE region, to speed things up. (Travis build VMs use
+# DataSourceNone so we can't dynamically determine the correct region.)
+travis-deb-script: export DEBOOTSTRAP_MIRROR=http://us-central1.gce.archive.ubuntu.com/ubuntu/
+travis-deb-script:
+	debuild -S -uc -us
+	sudo sbuild-adduser ${USER}
+	cp /usr/share/doc/sbuild/examples/example.sbuildrc /home/${USER}/.sbuildrc
+	# Use this to get a new shell where we're in the sbuild group
+	sudo -E su ${USER} -c 'mk-sbuild ${PACKAGE_BUILD_SERIES}'
+	sudo -E su ${USER} -c 'sbuild --nolog --verbose --dist=${PACKAGE_BUILD_SERIES} ../ubuntu-advantage-tools*.dsc'
+
 
 .PHONY: build clean test testdeps demo
