=== debian/changelog ===
ubuntu-advantage-tools (19.7) trusty; urgency=medium

  * Add support to new esm-infra-legacy service (LP: #2060566)

 -- Lucas Moura <lucas.moura@canonical.com>  Thu, 28 Mar 2024 14:43:22 -0300
