=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
-               python3-flake8,
-               python3-pymacaroons,
                python3-mock,
                python3-pytest,
                python3-setuptools,
