=== debian/tests/control ===
Tests: usage
Restrictions: allow-stderr
