## ubuntu-advantage-tools 20.3

=== Makefile ===
--- 
+++ 
@@ -27,13 +27,14 @@
 	@tox
 
 testdeps:
+	pip install -U six
 	pip install tox
 
 travis-deb-install:
 	git fetch --unshallow
 	sudo apt-get update
 	sudo apt-get build-dep -y ubuntu-advantage-tools
-	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools
+	sudo apt-get install -y --install-recommends sbuild ubuntu-dev-tools dh-systemd
 	# Missing build-deps
 	sudo apt-get install -y --install-recommends libapt-pkg-dev python3-mock python3-pytest
