=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
                git,
                libapt-pkg-dev,
                python3 (>= 3.4),
+               python3-flake8,
                python3-mock,
                python3-pytest,
                python3-setuptools,
-               python3-yaml
+               python3-yaml,
+               dh-systemd
 Standards-Version: 4.3.0
 Homepage: https://buy.ubuntu.com
 Vcs-Git: https://github.com/CanonicalLtd/ubuntu-advantage-script.git
@@ -32,3 +34,12 @@
  .
  Subscribers to Ubuntu Advantage will find helpful tools for accessing
  services in this package.
+
+Package: ubuntu-advantage-pro
+Architecture: any
+Depends: ubuntu-advantage-tools (>=20.2)
+Replaces: ubuntu-advantage-tools (<<20.2)
+Breaks: ubuntu-advantage-tools (<<20.2)
+Description: utilities and services for Ubuntu Pro images
+ The Ubuntu Pro package delivers additional utilities for use on authorised
+ Ubuntu Pro machines.
