=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+FLAKE8 := $(shell flake8 --version 2> /dev/null)
 
 include /etc/os-release
 # see https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/1840091/comments/3
@@ -18,7 +19,8 @@
 endif
 
 %:
-	dh $@ --with python3,bash-completion --buildsystem=pybuild
+	dh $@ --with python3,bash-completion,systemd --buildsystem=pybuild \
+		--no-start
 
 override_dh_auto_build:
 	dh_auto_build
@@ -27,6 +29,13 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 -m pytest
+ifdef FLAKE8
+	# required for Trusty: flake8 does not install a __main__  for -m
+	# invocation
+	python3 $(shell which flake8) uaclient
+else
+	python3 -m flake8 uaclient
+endif
 endif
 
 override_dh_gencontrol:
@@ -36,7 +45,21 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/ubuntu-advantage-tools
 	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}
+ifeq (${VERSION_ID},"14.04")
 	make -C apt-hook DESTDIR=$(CURDIR)/debian/ubuntu-advantage-tools install
+endif
+
+ifeq (${VERSION_ID},"14.04")
+	# Move ua-auto-attach.conf to ubuntu-advantage-pro
+	mkdir -p debian/ubuntu-advantage-pro/etc/init
+	mv debian/ubuntu-advantage-tools/etc/init/ua-auto-attach.conf debian/ubuntu-advantage-pro/etc/init/
+	rmdir debian/ubuntu-advantage-tools/etc/init
+else
+	# Move ua-auto-attach.service to ubuntu-advantage-pro
+	mkdir -p debian/ubuntu-advantage-pro/lib/systemd/system
+	mv debian/ubuntu-advantage-tools/lib/systemd/system/ua-auto-attach.service debian/ubuntu-advantage-pro/lib/systemd/system
+	cd debian/ubuntu-advantage-tools && rmdir -p lib/systemd/system
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
