## ubuntu-advantage-tools 24.4

=== debian/changelog ===
ubuntu-advantage-tools (24.4) groovy; urgency=medium

  * New bug-fix-only release 24.4:
    - uaclient.version bump to 24.4
    - fips: honor additionalPackage directive from contract for bionic
      (GH #1173)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 01 Sep 2020 11:14:39 -0600

ubuntu-advantage-tools (24.3) groovy; urgency=medium

  * New bug-fix-only release 24.3:
    - uaclient.version bump to 24.3
    - fips: add conditional reboot message only if /var/run/reboot-required is
      present
    - fips: add apt repo key for FIPS and FIPS updates (GH #1026)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 20 Aug 2020 14:50:17 -0600

ubuntu-advantage-tools (24.2) groovy; urgency=medium

  * New bug-fix-only release 24.2:
    - uaclient.version bump to 24.2
    - pro: Add AWS China and GovCloud partitions support (GH #1077)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 03 Jun 2020 16:12:41 -0600

ubuntu-advantage-tools (24.1) groovy; urgency=medium

  * New bug-fix-only release 24.1:
    - livepatch: run snap wait system snap.seeded before trying to install
      (GH: #1049)
    - version: return debian/changelog version when git describe fails to
      match upstream <major>.<minor> tags for git-ubuntu workflow
      (GH: #1058)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 18 May 2020 15:07:17 -0600

ubuntu-advantage-tools (24.0) groovy; urgency=medium

  * bump version to 24.0 for new versioninig scheme

 -- Chad Smith <chad.smith@canonical.com>  Mon, 18 May 2020 15:04:33 -0600
